package wechat

import (
	"encoding/json"
)

//创建二维码
func (client *WeChatClient) GetTicket(access_token, SceneStr string) (ticket *GetTicketRes, err error) {
	url := "https://api.weixin.qq.com/cgi-bin/qrcode/create"
	body := map[string]interface{}{
		"expire_seconds": 86400,          //二维码有效期一天(86400秒)
		"action_name":    "QR_STR_SCENE", //临时
		"action_info": map[string]interface{}{
			"scene": map[string]interface{}{
				"scene_str": SceneStr,
			},
		},
	}
	list, err := client.PostJson(url+"?access_token="+access_token, body)
	if err != nil {
		return
	}
	err = json.Unmarshal([]byte(list), &ticket)
	return
}
